Subject: RE: file_id

From: "Noveck, Dave" <[email-masked]>
Date: Mon, 2 Dec 2002 08:01:29 -0800

Neil Brown wrote:
> I would kind-a like NFSv4 to allow the server to tell the client how
> many bits (the minimum) that are guaranteed to be unique.
> As it is, a 32bit client cannot get a 32bit file_id that is certain to
> be unique, even if the server provides one.  This failure of
> communication is a flaw in the protocol.

This is something that could be addressed in a minor version by
simply creating a new per-fs recommended attribute fileid_unique_bits.
It doesn't seem important enough to do a minor version on its own, but
if there is a minor version anyway (mirgration/replication extensions,
delegation extensions, RDMA extensions, or some combination), it
would make sense if small things like this could be folded in
(assuming that there is a consensus that this additional attribute
makes sense).